Name: sgml-common
Version: 0.6.3
Release: alt8

Packager: Mikhail Zabaluev <mhz@altlinux.ru>

%define xmlcharent_version 0.2

Summary: Common SGML catalog and DTD files
Group: Publishing
License: Distributable
Url: http://sources.redhat.com/docbook-tools/

BuildArch: noarch

%set_autoconf_version 2.13
%set_automake_version 1.4

BuildRequires: xml-utils

Source0: ftp://sources.redhat.com/pub/docbook-tools/new-trials/SOURCES/%name-%version.tar.bz2
Source1: %name-CHANGES
Source2: %name-automake.tar.bz2
Source3: sgml.buildreq
Source4: http://www.oasis-open.org/committees/docbook/xmlcharent/0.2/xmlcharent-%xmlcharent_version.tar.bz2
Patch0: %name-umask.patch
Patch1: %name-xmldir.patch
Patch2: %name-quotes.patch

%define sgmlbase	%_datadir/sgml
%define sgmlconfdir	%_sysconfdir/sgml
%define sgmlentitiesdir	%sgmlbase/sgml-iso-entities-8879.1986
%define xmlbase		%_datadir/xml
%define xmlconfdir	%_sysconfdir/xml
%define xmlentitiesdir	%xmlbase/xml-iso-entities-8879.1986

%description
This package contains a collection of entities and DTDs that are useful for
processing SGML, but that do not need to be included in multiple packages.
%name also includes an up-to-date Open Catalog file.

%package -n xml-common
Summary: Common XML catalog and DTD files
License: GPL
Group: Publishing

%description -n xml-common
This package contains a collection of entities and DTDs that are useful for
processing XML, but that do not need to be included in multiple packages.

%prep
%setup -q -a 4
%patch0 -p1
%patch1 -p1
%patch2 -p1
%__rm -f install-sh missing mkinstalldirs
%__tar -xjf %SOURCE2

%build
%configure

%install
#DESTDIR=$RPM_BUILD_ROOT
%makeinstall

# Replace the XML character entities with the new docbook entities
%__rm -f $RPM_BUILD_ROOT%xmlentitiesdir/ISO*.ent
install -m644 xmlcharent-%xmlcharent_version/*.ent \
    $RPM_BUILD_ROOT%xmlentitiesdir/
%__perl -pi -e 's|ISO(\w+\.ent)|iso-$1|' \
    $RPM_BUILD_ROOT%xmlentitiesdir/catalog

install -d -m755 $RPM_BUILD_ROOT%sgmlbase
install -d -m755 $RPM_BUILD_ROOT%sgmlbase/docbook

cp %SOURCE1 CHANGES

install -d -m755 $RPM_BUILD_ROOT%xmlconfdir
install -d -m755 $RPM_BUILD_ROOT%xmlbase/docbook
#install -d -m755 $RPM_BUILD_ROOT%xmlbase/docbook/dtd

# Create an XML catalog for ISO XML character entities
CATALOG=$RPM_BUILD_ROOT%xmlentitiesdir/xmlcatalog
%_bindir/xmlcatalog --noout --create $CATALOG
%_bindir/xmlcatalog --noout --add "public" \
	"ISO 8879:1986//ENTITIES Added Latin 1//EN//XML" \
	iso-lat1.ent $CATALOG
%_bindir/xmlcatalog --noout --add "public" \
	"ISO 8879:1986//ENTITIES Added Latin 2//EN//XML" \
	iso-lat2.ent $CATALOG
%_bindir/xmlcatalog --noout --add "public" \
	"ISO 8879:1986//ENTITIES Diacritical Marks//EN//XML" \
	iso-dia.ent $CATALOG
%_bindir/xmlcatalog --noout --add "public" \
	"ISO 8879:1986//ENTITIES Box and Line Drawing//EN//XML" \
	iso-box.ent $CATALOG
%_bindir/xmlcatalog --noout --add "public" \
	"ISO 8879:1986//ENTITIES Numeric and Special Graphic//EN//XML" \
	iso-num.ent $CATALOG
%_bindir/xmlcatalog --noout --add "public" \
	"ISO 8879:1986//ENTITIES Publishing//EN//XML" \
	iso-pub.ent $CATALOG
%_bindir/xmlcatalog --noout --add "public" \
	"ISO 8879:1986//ENTITIES General Technical//EN//XML" \
	iso-tech.ent $CATALOG
%_bindir/xmlcatalog --noout --add "public" \
	"ISO 8879:1986//ENTITIES Added Math Symbols: Arrow Relations//EN//XML" \
	iso-amsa.ent $CATALOG
%_bindir/xmlcatalog --noout --add "public" \
	"ISO 8879:1986//ENTITIES Added Math Symbols: Binary Operators//EN//XML" \
	iso-amsb.ent $CATALOG
%_bindir/xmlcatalog --noout --add "public" \
	"ISO 8879:1986//ENTITIES Added Math Symbols: Delimiters//EN//XML" \
	iso-amsc.ent $CATALOG
%_bindir/xmlcatalog --noout --add "public" \
	"ISO 8879:1986//ENTITIES Added Math Symbols: Negated Relations//EN//XML" \
	iso-amsn.ent $CATALOG
%_bindir/xmlcatalog --noout --add "public" \
	"ISO 8879:1986//ENTITIES Added Math Symbols: Ordinary//EN//XML" \
	iso-amso.ent $CATALOG
%_bindir/xmlcatalog --noout --add "public" \
	"ISO 8879:1986//ENTITIES Added Math Symbols: Relations//EN//XML" \
	iso-amsr.ent $CATALOG
%_bindir/xmlcatalog --noout --add "public" \
	"ISO 8879:1986//ENTITIES Greek Letters//EN//XML" \
	iso-grk1.ent $CATALOG
%_bindir/xmlcatalog --noout --add "public" \
	"ISO 8879:1986//ENTITIES Monotoniko Greek//EN//XML" \
	iso-grk2.ent $CATALOG
%_bindir/xmlcatalog --noout --add "public" \
	"ISO 8879:1986//ENTITIES Greek Symbols//EN//XML" \
	iso-grk3.ent $CATALOG
%_bindir/xmlcatalog --noout --add "public" \
	"ISO 8879:1986//ENTITIES Alternative Greek Symbols//EN//XML" \
	iso-grk4.ent $CATALOG
%_bindir/xmlcatalog --noout --add "public" \
	"ISO 8879:1986//ENTITIES Russian Cyrillic//EN//XML" \
	iso-cyr1.ent $CATALOG
%_bindir/xmlcatalog --noout --add "public" \
	"ISO 8879:1986//ENTITIES Non-Russian Cyrillic//EN//XML" \
	iso-cyr2.ent $CATALOG

# Create an XML catalog.
CATALOG=$RPM_BUILD_ROOT%xmlconfdir/catalog
%_bindir/xmlcatalog --noout --create $CATALOG
# Now put the common DocBook entries in it
%_bindir/xmlcatalog --noout --add "delegatePublic" \
	"-//OASIS//ENTITIES DocBook XML" \
	"file://%xmlbase/docbook/catalog" $CATALOG
%_bindir/xmlcatalog --noout --add "delegatePublic" \
	"-//OASIS//DTD DocBook XML" \
	"file://%xmlbase/docbook/catalog" $CATALOG
%_bindir/xmlcatalog --noout --add "delegatePublic" \
	"ISO 8879:1986" \
	"file://%xmlentitiesdir/xmlcatalog" $CATALOG
%_bindir/xmlcatalog --noout --add "delegateSystem" \
	"http://www.oasis-open.org/docbook/" \
	"file://%xmlbase/docbook/catalog"  $CATALOG
%_bindir/xmlcatalog --noout --add "delegateURI" \
	"http://www.oasis-open.org/docbook/" \
	"file://%xmlbase/docbook/catalog"  $CATALOG

# Also create the common DocBook catalog
CATALOG=$RPM_BUILD_ROOT%xmlbase/docbook/catalog
%_bindir/xmlcatalog --noout --create $CATALOG
%_bindir/xmlcatalog --noout --add "delegatePublic" \
	"ISO 8879:1986" \
	"file://%xmlentitiesdir/xmlcatalog" $CATALOG

# Buildreq filter for sgml.
install -pD -m644 %SOURCE3 $RPM_BUILD_ROOT%_sysconfdir/buildreqs/files/ignore.d/sgml

%files
%doc CHANGES doc/HTML/*.html
%dir %sgmlconfdir
%config(noreplace) %sgmlconfdir/sgml.conf
%dir %sgmlbase
%dir %sgmlbase/docbook
%sgmlbase/xml.dcl
%sgmlentitiesdir
%_bindir/sgmlwhich
%_bindir/install-catalog
%_mandir/man?/*
%config %_sysconfdir/buildreqs/files/ignore.d/sgml

%files -n xml-common
%doc xmlcharent-%xmlcharent_version/*.html
%dir %xmlconfdir
%config(noreplace) %xmlconfdir/catalog
%dir %xmlbase
%dir %xmlbase/docbook
%config(noreplace) %xmlbase/docbook/catalog
#%dir %xmlbase/docbook/dtd
%xmlentitiesdir

%changelog
* Mon Nov 11 2002 Stanislav Ievlev <inger@altlinux.ru> 0.6.3-alt8
- rebuild

* Wed Mar 27 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.6.3-alt7
- New XML character entities from the DocBook project

* Sun Jan 27 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.6.3-alt6
- Removed xml filter for buildreq because XML catalog system doesn't
  involve unnecessary catalog searches
- Added centralized DocBook DTD catalogs to the buildreq ignore filter
- Added /usr/share/sgml/xml.dcl to the file list
- Create an XML catalog for XML ISO entities

* Fri Jan 25 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.6.3-alt5
- Added xml filter for buildreq.

* Thu Jan 24 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.6.3-alt4
- Added sgml filter for buildreq.

* Thu Jan 24 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.6.3-alt3
- Synchronized with RedHat 0.6.3-8
- Updated URL that was just smoking crack
- Added delegation to ISO entities to docbook catalog

* Tue Jan 08 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.6.3-alt2
- Added directories /usr/share/sgml{,docbook} to the sgml-common file list

* Mon Jan 07 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.6.3-alt1
- Synchronized with Redhat 0.6.3-6
- Removed all the wacky scripts -- sgml-common is going to be PreReq
  of anything SGML-related, no post(un)install hacks are necessary

* Sun Jul 08 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.5-alt1
- synchronized with RH's 0.5-7

* Tue Mar 20 2001 Ivan Zakharyaschev <vanyaz@mccme.ru> 0.2-ipl5mdk
- internal changes in the spec-file:
  + explicitly specify the redirection in the install time scripts;
  + a macro for the conf-dir

* Tue Mar 20 2001 Ivan Zakharyaschev <vanyaz@mccme.ru> 0.2-ipl4mdk
- internal changes in the spec-file:
  + merged RE and Cooker specs; taken from RE:
    * Sun Mar 11 2001 AEN <aen@logic.ru>
    - permissions fixed
  + %%entitiesdir macro used in the spec
- install-time scripts:
  + %%postun moved to %%preun
  + %%post splitted into %%post and %%pre
  + a macro for adding/removing the entities catalog
    to all centralized catalogs

* Wed Mar 14 2001 Camille Begnis <camille@mandrakesoft.com> 0.2-4mdk
- Redirect install-catalog output to /dev/null

* Tue Feb 13 2001 Camille Begnis <camille@mandrakesoft.com> 0.2-3mdk
- move install-catalog.8.bz2 from man/en/man8 to man/man8

* Fri Jan 05 2001 Camille Begnis <camille@mandrakesoft.com> 0.2-2mdk
- add catalog management
- fix execute permissions

* Wed Aug 23 2000 Camille Begnis <camille@mandrakesoft.com> 0.2-1mdk
- 0.2
- adapt spec from Eric Bischoff <ebisch@cybercable.tm.fr>
- Pre-LSB compliance
